package com.rssuper.parsing

import com.rssuper.models.Feed

data class ParseResult(
    val feedType: FeedType,
    val feed: Feed
)

sealed class FeedParsingError : Exception() {
    data object UnsupportedFeedType : FeedParsingError()
    data object MalformedXml : FeedParsingError()
}
